/*
 * @(#)Theme3.java 	Mar-2008
 *
 * Murat iNAN	 muratsivas76@gmail.com
 */
/*
*** This program wrote under GNU/General Public License ***

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
*/
package net.dilmerkezi.lf;

import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

import java.awt.*;


/**
 * This class describes a theme using "" colors.
 *
 * @author Murat iNAN www.dilmerkezi.net/eng.html
 */
public class Theme3 extends DefaultMetalTheme {

    /** @return The name of the theme*/
    public String getName() 
    { 
	return "Theme3"; 
    }

    /** p1 constant*/
    private static final ColorUIResource primary1 = 
	new ColorUIResource( 200,  76,  46);

    /** p2 constant*/
    private static final ColorUIResource primary2 = 
	new ColorUIResource(161, 250, 212);

    /** p3 constant*/
    private static final ColorUIResource primary3 = 
	new ColorUIResource(100, 224, 144);


    /** s1 constant*/
    private static final ColorUIResource secondary1 = 
	new ColorUIResource( 212,  102,  112);
    
    /** s2 constant*/
    private static final ColorUIResource secondary2 = 
	new ColorUIResource(101, 241, 161);

    /** s3 constant*/
    private static final ColorUIResource secondary3 = 
	new ColorUIResource(202, 215, 223);


    /** @return p1*/
    protected ColorUIResource getPrimary1() 
    { 
	return primary1; 
    }
    
    /** @return p2*/    
    protected ColorUIResource getPrimary2() 
    {
	return primary2; 
    }
    
    /** @return p3*/    
    protected ColorUIResource getPrimary3() 
    { 
	return primary3; 
    }

    /** @return s1*/
    protected ColorUIResource getSecondary1() 
    { 
	return secondary1; 
    }
    
    /** @return s2*/
    protected ColorUIResource getSecondary2() 
    { 
	return secondary2; 
    }
    
    /** @return s3*/
    protected ColorUIResource getSecondary3() 
    { 
	return secondary3; 
    }
    
    /** Control font*/
    private static final FontUIResource cFont = 
	new FontUIResource("Dialog", Font.BOLD, 14);

    /** System font*/
    private static final FontUIResource sFont = 
	new FontUIResource("Dialog", Font.PLAIN, 14);

    /** Window title font*/
    private static final FontUIResource wFont = 
	new FontUIResource("Dialog", Font.BOLD, 14);

    /** User font*/
    private static final FontUIResource uFont = 
	new FontUIResource("Lucida Sans Regular", Font.PLAIN, 12);

    /** Small font*/
    private static final FontUIResource smFont = 
	new FontUIResource("Serif", Font.PLAIN, 10);

    /** @return A font*/
    public FontUIResource getControlTextFont() 
    { 
	return cFont;
    }

    /** @return A font*/    
    public FontUIResource getSystemTextFont() 
    { 
	return sFont;
    }
    
    /** @return A font*/
    public FontUIResource getUserTextFont() 
    { 
	return uFont;
    }
    
    /** @return A font*/
    public FontUIResource getMenuTextFont() 
    { 
	return cFont;
    }
    
    /** @return A font*/    
    public FontUIResource getWindowTitleFont() 
    { 
	return wFont;
    }
    
    /** @return A font*/
    public FontUIResource getSubTextFont() 
    { 
	return smFont;
    }

}
/**********/
